<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zzb.common.mapper.BaseFileInfoMapper">

	<resultMap id="BaseFileInfoResultMap" type="BaseFileInfo" >
		<id property="moduleCode" jdbcType="VARCHAR" column="MODULE_CODE"/>
		<result property="applyFormId" jdbcType="VARCHAR" column="APPLY_FORM_ID"/>
		<result property="fileTypeName" jdbcType="VARCHAR" column="FILE_TYPE_NAME"/>
		<result property="fileTypeCode" jdbcType="VARCHAR" column="FILE_TYPE_CODE"/>
		<result property="fileOrder" jdbcType="INTEGER" column="FILE_ORDER"/>
		<result property="fileOriginalName" jdbcType="VARCHAR" column="FILE_ORIGINAL_NAME"/>
		<result property="fileExtensions" jdbcType="VARCHAR" column="FILE_EXTENSIONS"/>
		<result property="fileRequestPath" jdbcType="VARCHAR" column="FILE_REQUEST_PATH"/>
		<result property="fileStoragePath" jdbcType="VARCHAR" column="FILE_STORAGE_PATH"/>
		<result property="fileStorageId" jdbcType="VARCHAR" column="FILE_STORAGE_ID"/>
		<result property="isDelete" jdbcType="INTEGER" column="IS_DELETE"/>
		<result property="createTime" jdbcType="DATE" column="CREATE_TIME"/>
	</resultMap>

	<!--<insert id="batchInsertBaseFileInfos" parameterType="java.util.List">
		insert into ZZB_BASE_FILES_INFO (MODULE_CODE, APPLY_FORM_ID, FILE_TYPE_NAME, FILE_TYPE_CODE, FILE_ORIGINAL_NAME, FILE_EXTENSIONS, FILE_REQUEST_PATH, FILE_STORAGE_PATH, FILE_STORAGE_ID) values
		<foreach collection="baseFileInfoList" item="baseFileInfo" index="index" separator=",">
			(#{baseFileInfo.moduleCode}, #{baseFileInfo.applyFormId}, #{baseFileInfo.fileTypeName}, #{baseFileInfo.fileTypeCode}, #{baseFileInfo.fileOriginalName}, #{baseFileInfo.fileExtensions}, #{baseFileInfo.fileRequestPath}, #{baseFileInfo.fileStoragePath}, #{baseFileInfo.fileStorageId})
		</foreach>
	</insert>-->

	<insert id="batchInsertBaseFileInfos" parameterType="java.util.List">
		insert all
		<foreach collection="baseFileInfoList" item="baseFileInfo" index="index" separator=" ">
			into ZZB_BASE_FILES_INFO (MODULE_CODE, APPLY_FORM_ID, FILE_TYPE_NAME, FILE_TYPE_CODE, FILE_ORDER, FILE_ORIGINAL_NAME, FILE_EXTENSIONS, FILE_REQUEST_PATH, FILE_STORAGE_PATH, FILE_STORAGE_ID, IS_DELETE) values (#{baseFileInfo.moduleCode}, #{baseFileInfo.applyFormId}, #{baseFileInfo.fileTypeName}, #{baseFileInfo.fileTypeCode}, #{baseFileInfo.fileOrder}, #{baseFileInfo.fileOriginalName}, #{baseFileInfo.fileExtensions}, #{baseFileInfo.fileRequestPath}, #{baseFileInfo.fileStoragePath}, #{baseFileInfo.fileStorageId}, #{baseFileInfo.isDelete})
		</foreach>
		select * from dual
	</insert>


</mapper>